﻿using System;
using System.Collections.Generic;
using System.Diagnostics.Contracts;
using System.Linq;
using System.Text;
using NUnit.Framework;
using NUnit.Framework.SyntaxHelpers;

namespace ContractsDemo
{
    [TestFixture]
    public class TestHarness
    {
        private bool _contractInValid = false;
        [TestFixtureSetUp]
        public void Setup()
        {
            Contract.ContractFailed += (s, e) =>
            {
                e.SetHandled();                
                _contractInValid = true;
            };
        }

        [Test]
        public void Harness()
        {
            var timeClock = new TimeClock();

            var employeeId = 0;
            var clockDate = DateTime.Now;
            var dailyReport = timeClock.GetDailyReport(employeeId, clockDate);

            Assert.That( _contractInValid, Is.True);
        }
    }
}
